% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/splot-nodes.R
\name{render_nodes_base}
\alias{render_nodes_base}
\title{Render All Nodes}
\usage{
render_nodes_base(
  layout,
  vsize,
  vsize2 = NULL,
  shape = "circle",
  color = "#4A90D9",
  border.color = "#2C5AA0",
  border.width = 1,
  pie = NULL,
  pieColor = NULL,
  donut = NULL,
  donutColor = NULL,
  labels = NULL,
  label.cex = 1,
  label.color = "black"
)
}
\arguments{
\item{layout}{Matrix with x, y columns.}

\item{vsize}{Vector of node sizes.}

\item{vsize2}{Vector of secondary sizes (for ellipse).}

\item{shape}{Vector of shape names.}

\item{color}{Vector of fill colors.}

\item{border.color}{Vector of border colors.}

\item{border.width}{Vector of border widths.}

\item{pie}{List of pie value vectors (one per node) or NULL.}

\item{pieColor}{List of pie color vectors or NULL.}

\item{donut}{List of donut values or NULL.}

\item{donutColor}{List of donut color vectors or NULL.}

\item{labels}{Vector of labels or NULL.}

\item{label.cex}{Vector of label sizes.}

\item{label.color}{Vector of label colors.}
}
\description{
Renders all nodes in the network.
}
\keyword{internal}
